Issues

ZF-5167: Warnings generated if Zip extention is not installed

Issue Type: Bug Created: 2008-12-05T11:31:34.000+0000 Last Updated: 2008-12-21T05:03:26.000+0000 Status: Resolved Fix version(s): - 1.7.2 (23/Dec/08)

Reporter: Rob Allen (rob) Assignee: Rob Allen (rob) Tags: - Zend_Search_Lucene

Related issues: Attachments:

Description

Zend/Search/Lucene/Documents/Docx.php, OpenXml.php, Pptx.php and Xlsx.php all have a line like this:

<pre class="highlight"> 
if (class_exists ( 'ZipArchive' )) {

On systems where the Zip extension is not loaded, this generates the warning:

Warning: Zend_Loader::include_once(ZipArchive.php) [zend-loader.include-once]: failed to open stream: No such file or directory in /Users/rob/ZFiA/code/lib/Zend/Loader.php on line 89

Fix is to change the class_exists() call to:

<pre class="highlight"> 
if (class_exists ( 'ZipArchive' , false)) {

Comments

Posted by Rob Allen (rob) on 2008-12-05T12:00:48.000+0000

Fixed in r13040 on trunk and r13041 on release-1.7 branch.

Have you found an issue?

See the Overview section for more details.

Copyright

© 2006-2016 by Zend, a Rogue Wave Company. Made with by awesome contributors.

This website is built using zend-expressive and it runs on PHP 7.

Contacts